uniform sampler2D source;
uniform sampler2D destination;

varying vec2 texCoord;

vec4 result;
vec4 sourcetexel;
vec4 desttexel;

void main(void) {

   sourcetexel = texture2D(source, texCoord);
   desttexel = texture2D(destination, texCoord);

   result = (sourcetexel + desttexel) * 0.5;
   
   gl_FragColor = result;


}
